![lodestar logo](assets/lodestar_icon_text_black_stroke.png)

## Welcome to the Lodestar documentation

> **Lodestar is an open-source Ethereum Consensus client and Typescript ecosystem, maintained by ChainSafe Systems**

### Getting started

- Follow the installation method for [source install](./getting-started/installation.md/#build-from-source) or [Docker install](./getting-started/installation.md/#docker-installation) to install Lodestar. Or use our [Lodestar Quickstart scripts](https://github.com/ChainSafe/lodestar-quickstart).
- Use [Lodestar libraries](./supporting-libraries/index.md) in your next Ethereum Typescript project.
- Run a beacon node on [mainnet or a public testnet](./getting-started/starting-a-node.md).
- Utilize the whole stack by [starting a local testnet](./advanced-topics/setting-up-a-testnet.md).
- View the Lodestar [CLI commands and options](./beacon-management/beacon-cli.md)
- Prospective contributors can read the [contributing section](./contribution/getting-started.md) to understand how we develop and test on Lodestar.
- If you have questions [submit an issue](https://github.com/ChainSafe/lodestar/issues/new) or join us on [Discord](https://discord.gg/yjyvFRP)!
- Please note our [security policy](./security.md).
- Sign up to our [mailing list](https://chainsafe.typeform.com/lodestar) for announcements and any critical information about Lodestar.

## Specifications

Hardware specifications minimum / recommended, to run the Lodestar client.

|           | Minimum                          | Recommended                       |
| --------- | -------------------------------- | --------------------------------- |
| Processor | Intel Core i5–760 or AMD FX-8100 | Intel Core i7–4770 or AMD FX-8310 |
| Memory    | 4GB RAM                          | 8GB RAM                           |
| Storage   | 20GB available space SSD         | 100GB available space SSD         |
| Internet  | Broadband connection             | Broadband connection              |

## About these docs

This documentation is open source, contribute at [Github Lodestar repository /docs](https://github.com/ChainSafe/lodestar/tree/unstable/docs).

## Need assistance?

If you have questions about this documentation, feel free to talk to us on our [ChainSafe Discord](https://discord.gg/yjyvFRP) or [open an issue](https://github.com/ChainSafe/lodestar/issues/new/choose) and a member of the team or our community will be happy to assist you.
